> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Ontology Terms Parents

> Retrieve all parent nodes of an ontology term.

Example: ontology_term_id = CHEBI_100001.

The limit parameter controls the page size and can not exceed 500.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /ontology-terms/{ontology_term_id}/parents
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /ontology-terms/{ontology_term_id}/parents:
    get:
      summary: Ontology Terms Parents
      description: |-
        Retrieve all parent nodes of an ontology term.

        Example: ontology_term_id = CHEBI_100001.

        The limit parameter controls the page size and can not exceed 500.

        Pagination is 0-based.
      operationId: ontologyTermParents
      parameters:
        - name: ontology_term_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  anyOf:
                    - not: {}
                    - type: object
                      properties:
                        term:
                          type: object
                          properties:
                            uri:
                              type: string
                            term_id:
                              type: string
                            name:
                              type: string
                            synonyms:
                              type: array
                              items:
                                type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            source:
                              type: string
                            subontology:
                              type: string
                              nullable: true
                            source_url:
                              type: string
                              nullable: true
                          required:
                            - uri
                            - term_id
                            - name
                          additionalProperties: false
                        relationship_type:
                          type: string
                          nullable: true
                      required:
                        - term
                        - relationship_type
                      additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````